import 'package:flutter/material.dart';
import 'package:thesis_shop/models/product.dart';
import 'package:thesis_shop/widgets/number_picker.dart';

class ProductItem extends StatelessWidget {
  final Product product;
  const ProductItem({Key? key, required this.product}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListTile(
      title: Text('${product.title} (${product.priceAsString}€/Stück)'),
      trailing: NumberPicker(value: 5, onUp: () {}, onDown: () {}),
    );
  }
}
